//+------------------------------------------------------------------+
//|                                          ArrayStringSaveTest.mq5 |
//|                                   Copyright 2014, Douglas Rechia |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2014, Douglas Rechia"
#property link      "http://www.mql5.com"
#property version   "1.00"

#include <Framework/StdLibrary/ArrayStringFix.mqh>
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
//---
   CArrayStringFix array;
   
   array.Add("s1");
   array.Add("s2");
   array.Add("s3");
   
   Print("UNICODE");
   int handle=FileOpen("test.bin",FILE_WRITE|FILE_BIN);
   array.Save(handle);
   FileClose(handle);
   
   CArrayStringFix array2;
   int handle2=FileOpen("test.bin",FILE_READ|FILE_BIN);
   array2.Load(handle2);
   
   for (int i=0;i<array2.Total();i++) {
      Print("i: ",i," array: ",array2.At(i));
   }
   
   FileClose(handle2);
   
   Print("ANSI");

   
   handle=FileOpen("test2.bin",FILE_WRITE|FILE_BIN|FILE_ANSI);
   array.Save(handle);
   FileClose(handle);
   
   CArrayStringFix array3;
   handle2=FileOpen("test2.bin",FILE_READ|FILE_BIN|FILE_ANSI);
   array3.Load(handle2);
   
   for (int i=0;i<array2.Total();i++) {
      Print("i: ",i," array: ",array2.At(i));
   }
  }
//+------------------------------------------------------------------+
